.repertoire-list {
  list-style: none;
  padding: 0;
}

.repertoire-element {
  padding: 0.5em;
  background: rgba(255, 255, 255, 0.7);
  display: flex;
  height: 100%;
  width: 100%;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
}

.repertoire-element:nth-child(odd) {
  background: rgba(217, 217, 217, 0.7)
}

.repertoire-element span {
  font-size: min(3.5vw, 1.2em);
  /*font-size: min(3vw * 0.7, 1.2em);*/
  /*font-size: calc(5vw * 0.7 * 0.3);*/
  margin: 0.1em;
}

.audio-container > button {
  background-color: #485563;
  background-image: linear-gradient(to right, #485563 0%, #29323c 51%, #485563 100%);
  text-align: center;
  text-transform: uppercase;
  transition: 0.5s;
  background-size: 200% auto;
  color: white;
  box-shadow: 0 0 20px #eee;
  border-radius: 10px;
  display: block;
  position: relative; /* Needed for spinner (is absolute) */
}

.audio-container > button:hover {
  background-position: right center; /* change the direction of the change here */
  color: #fff;
  text-decoration: none;
  cursor: pointer;
}

.loading-spinner {
  position: absolute;
  left: 10px;
  bottom: 5px;
  width: 16px;
  height: 16px;
  border: 2px solid #b0b0b0;
  border-right-color: rgba(0, 0, 0, 0);
  border-radius: 50%;
  animation: spin 0.4s linear infinite;
}

.cd-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  margin-bottom: 2em;
}

.cd-element {
  width: 30%;
  min-width: 12em;
  height: auto;
  margin: 0.5em;
  box-shadow: #5e5e5e 2px 2px 7px 2px;
  -webkit-transition: -webkit-transform 0.2s;
  transition: transform 0.2s;
  position: relative;
}

.cd-element.hover {
  -webkit-transform: scale(1.1) rotate(0deg);
  transform: scale(1.1) rotate(0deg);
}

.cd-element > .front-image {
  width: 100%;
  height: auto;
  -webkit-transition: filter 0.2s;
  transition: filter 0.2s;
  opacity: 1;
}

.cd-element.hover > .front-image {
  -webkit-filter: blur(5px); /* Safari 6.0 - 9.0 */
  filter: blur(5px);
}

.cd-element > .back-image {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: auto;
  transition: opacity 0.2s, visibility 0.2s;
  box-sizing: border-box;
  opacity: 0;
  visibility: hidden;
}

.cd-element.hover > .back-image {
  visibility: visible;
  opacity: 1;
}

.repertoireliste-info-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.repertoireliste-info-box > hr {
  height: 1em;
}

.repertoireliste-info-box > h1 {
  margin-bottom: 0;
}

.repertoireliste-info-box > p {
  margin-top: 0;
  font-size: smaller;
  text-align: center;
}

.repertoireliste-info-box ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.repertoireliste-info-box li {
  margin-top: 2em;
  margin-bottom: 1em;
  text-align: center;
}

#repertoireliste-mit-uns-orgel > ul > li > h2,
#repertoireliste-mit-uns-orgel > ul > li > span,
#repertoireliste-mit-uns-chor > ul > li > h2,
#repertoireliste-mit-uns-chor > ul > li > span {
  margin: 0;
}

#repertoireliste-mit-uns-chor > h2 {
  margin: 0;
  text-align: center;
  display: contents;
}

#repertoireliste-mit-uns-chor > span {
  text-align: center;
}

.larger {
  font-size: larger;
}

@media only screen and (max-width: 90em) {
  .repertoire-list {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 60em) {
  .repertoire-list {
    grid-template-columns: repeat(1, 1fr);
  }
}

/*when calendar in index.css disappears*/
@media (max-aspect-ratio: 1/1) {
  .repertoire-element h2 {
    font-size: calc(3vw * 0.95);
  }
}
